# Uses of Class
org.eclipse.mat.inspections.osgi.model.BundleDescriptor

Packages that use BundleDescriptor
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.
org.eclipse.mat.inspections.osgi.model.eclipse
These are utilities for Eclipse OSGi bundle queries.

## Uses of BundleDescriptor in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
Bundle.`getBundleDescriptor()`
`BundleDescriptor`
Service.`getBundleDescriptor()`
Get bundle descriptor of a bundle, that registers this service
`BundleDescriptor`
BundleFragment.`getHost()`
Methods in org.eclipse.mat.inspections.osgi.model that return types with arguments of type BundleDescriptor
Modifier and Type
Method
Description
`List<BundleDescriptor>`
OSGiModel.`getBundleDescriptors()`
Get descriptors of all the bundles, found in BundleRepository
`List<BundleDescriptor>`
Service.`getBundlesUsing()`
Get bundle descriptors for all the bundles, using this service
`List<BundleDescriptor>`
Bundle.`getDependencies()`
`List<BundleDescriptor>`
Bundle.`getDependents()`
`List<BundleDescriptor>`
Bundle.`getFragments()`
Methods in org.eclipse.mat.inspections.osgi.model with parameters of type BundleDescriptor
Modifier and Type
Method
Description
`Bundle`
EquinoxBundleReader.`getBundle(BundleDescriptor descriptor)`
`Bundle`
EquinoxBundleReader2.`getBundle(BundleDescriptor descriptor)`
`Bundle`
IBundleReader.`getBundle(BundleDescriptor descriptor)`
Load the bundle by its descriptor
`Bundle`
OSGiModel.`getBundle(BundleDescriptor descriptor)`
Get bundle by its descriptor
Constructors in org.eclipse.mat.inspections.osgi.model with parameters of type BundleDescriptor
Modifier
Constructor
Description
``
`Bundle(BundleDescriptor descriptor, String location, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> extensionPoints, List<Extension> extensions, List<Service> registeredServices, List<Service> usedServices, List<BundleDescriptor> fragments)`
``
`BundleFragment(BundleDescriptor descriptor, String location, BundleDescriptor host)`
``
`BundleFragment(BundleDescriptor descriptor, String location, BundleDescriptor host, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> points, List<Extension> extensions)`
``
`Service(String name, int objectId, BundleDescriptor bundleDescriptor, List<BundleDescriptor> bundlesUsing, String[] keys, String[] values)`
Constructor parameters in org.eclipse.mat.inspections.osgi.model with type arguments of type BundleDescriptor
Modifier
Constructor
Description
``
`Bundle(BundleDescriptor descriptor, String location, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> extensionPoints, List<Extension> extensions, List<Service> registeredServices, List<Service> usedServices, List<BundleDescriptor> fragments)`
``
`BundleFragment(BundleDescriptor descriptor, String location, BundleDescriptor host, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> points, List<Extension> extensions)`
``
`OSGiModel(IBundleReader bundleReader, List<BundleDescriptor> bundleDescriptors, List<Service> services, List<ExtensionPoint> extensionPoints)`
``
`Service(String name, int objectId, BundleDescriptor bundleDescriptor, List<BundleDescriptor> bundlesUsing, String[] keys, String[] values)`

## Uses of BundleDescriptor in org.eclipse.mat.inspections.osgi.model.eclipse

Methods in org.eclipse.mat.inspections.osgi.model.eclipse that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
Extension.`getContributedBy()`
Get descriptor of the bundle contributing this extension
`BundleDescriptor`
ExtensionPoint.`getContributedBy()`
Get descriptor of the bundle contributing this extension point
`BundleDescriptor`
ConfigurationElement.`getContributingBundle()`
Descriptor of the bundle contributing this element.
Methods in org.eclipse.mat.inspections.osgi.model.eclipse with parameters of type BundleDescriptor
Modifier and Type
Method
Description
`void`
Extension.`setContributedBy(BundleDescriptor contributedBy)`
`void`
ExtensionPoint.`setContributedBy(BundleDescriptor contributedBy)`
Constructors in org.eclipse.mat.inspections.osgi.model.eclipse with parameters of type BundleDescriptor
Modifier
Constructor
Description
``
`ConfigurationElement(int objectId, String name, Integer parentId, Integer elementId, BundleDescriptor contributingBundle, String[] propertiesAndValues)`